%define tarname pyFltk

Summary:	Python wrapper for the FLTK library
Name:		python-pyfltk
Version:	1.3.7
Release:	%mkrel 6
License:	GPLv2
Group:		Development/Python
Url:		https://pyfltk.sourceforge.net/
Source0:	https://pypi.io/packages/source/p/pyfltk/%{tarname}-%{version}.tar.gz
Patch1:		pyFltk-1.3.3_py3-link.patch
BuildRequires: python3-devel
BuildRequires: fltk-devel >= 1.3.0
BuildRequires: pkgconfig(python3)
BuildRequires: pkgconfig(glu)
BuildRequires: swig


%description
pyFLTK is a Python wrapper for the Fast Light Tool Kit
cross-platform graphical user-interface library.

%package -n python3-pyfltk
Summary:	Python3 wrapper for the FLTK library
Group:		Development/Python
%{?python_provide:%python_provide python3-pyfltk}

%description -n python3-pyfltk
pyFLTK is a Python3 wrapper for the Fast Light Tool Kit
cross-platform graphical user-interface library.

%prep
%setup -q -n %{tarname}-%{version}
%autopatch -p1
# (wally) With P0, disable Werror_cflags temporarily to get pkg build
%define Werror_cflags   %nil
%define Werror_cflags   %nil
sed -i -e 's|@MGA_CFLAGS@|%{optflags} -Wformat=2|' setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
export CPPFLAGS="-DFL_INTERNALS %ldflags" 
%pyproject_wheel

%install
%pyproject_install
rm -rf %{buildroot}%{python3_sitearch}/fltk/docs
rm -rf %{buildroot}%{python3_sitearch}/fltk/test

%files -n python3-pyfltk
%doc CHANGES
%{python3_sitearch}/fltk/
%{python3_sitearch}/*info


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.3.7-6.mga10
+ Revision: 2238735
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 1.3.7-5.mga10
+ Revision: 2155571
- rebuild for python3.13

* Thu Dec 14 2023 papoteur <papoteur> 1.3.7-4.mga10
+ Revision: 2018023
- new 6.0
- adapt to pyproject

* Thu Dec 14 2023 papoteur <papoteur> 1.3.7-3.mga10
+ Revision: 2018011
- rebuild for python3.12
- adapt to pyproject

* Thu Mar 31 2022 umeabot <umeabot> 1.3.7-2.mga9
+ Revision: 1837354
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 1.3.7-1.mga9
+ Revision: 1783204
- version 1.3.7
- delete Patch0 which no longer applies
- rediff Patch1
- change to autopatch macro
- fix files list
- rebuild for python-3.10

* Mon Apr 19 2021 daviddavid <daviddavid> 1.3.5-1.mga9
+ Revision: 1717137
- new version: 1.3.5
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.3.3-10.mga8
+ Revision: 1535600
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 1.3.3-9.mga8
+ Revision: 1452498
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 1.3.3-8.mga7
+ Revision: 1353896
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.3.3-7.mga7
+ Revision: 1300560
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.3.3-6.mga7
+ Revision: 1135565
- Rebuild for python 3.6

* Thu Apr 28 2016 daviddavid <daviddavid> 1.3.3-5.mga6
+ Revision: 1007310
- rebuild with fixed fltk-devel
- use new python macros

* Fri Feb 12 2016 umeabot <umeabot> 1.3.3-4.mga6
+ Revision: 958646
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.3.3-3.mga6
+ Revision: 888836
- rebuild for python 3.5

* Sat Sep 19 2015 philippem <philippem> 1.3.3-2.mga6
+ Revision: 881337
- fix build, add BR for glu

* Tue Aug 18 2015 fwang <fwang> 1.3.3-1.mga6
+ Revision: 865503
- update file list
- drop undefined flag
- fix linkage of python3 ext
- add wformat
- br python3
- 1.3.3

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-8.mga5
+ Revision: 750917
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3.0-7.mga5
+ Revision: 729453
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-6.mga5
+ Revision: 688251
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.3.0-4.mga4
+ Revision: 544061
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3.0-3.mga4
+ Revision: 499196
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 379331
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 26 2012 fwang <fwang> 1.3.0-1.mga2
+ Revision: 202024
- update doc list
- 1.3.0 final
- update tarball
- br swig
- regenerate wrapper
- new version 1.3.0 rc1
+ wally <wally>
- add P0 to disable Werror_cflags temporarily to get pkg build
- use correct CPPFLAGS to get pkg build

* Sun Apr 24 2011 grenoya <grenoya> 1.1.3-2.mga1
+ Revision: 90154
- imported package python-pyfltk


* Sat Nov 06 2010 Funda Wang <fwang@mandriva.org> 1.1.3-2mdv2011.0
+ Revision: 594002
- rebuild for py2.7

* Wed Jan 14 2009 Lev Givon <lev@mandriva.org> 1.1.3-1mdv2009.1
+ Revision: 329282
- Patch to build against latest fltk package.
- import python-pyfltk


